<#import "template.ftl" as layout>
<@layout.mainLayout active='account' bodyClass='user'; section>
    <style>{% include 'assets/mystyle.css' %}</style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script> 
        const rules = {{keycloak_registration_form_rules | tojson }};      
    </script>
    <script>{% include 'assets/register.js' %}</script>

    <div class="row">
        <div class="col-md-10">
            <h2>${msg("editAccountHtmlTitle")}</h2>
        </div>
        <div class="col-md-2 subtitle">
            <span class="subtitle"><span class="required">*</span> ${msg("requiredFields")}</span>
        </div>
    </div>
    <div class="custom-notification-box">
        Bitte beachten Sie, dass Aktualisierungen Ihres Profils aktuell bis zu 24h benötigen können, um über alle Bereiche des NUM-Hubs synchronisiert zu werden. Weitern können Sie Ihr Profil bereits vor der Aktivierung durch die Koordinierungsstelle einsehen. Sobald Ihr Account aktiviert wurde, können Sie den <a href="https://support.netzwerk-universitaetsmedizin.de/Antragsprozess.html">NUM-Hub betreten</a>.
    </div>
    <form action="${url.accountUrl}" class="form-horizontal" method="post">
     {% for page in keycloak_registration_form_pages %}
     
          <h2>{{page.heading}}</h2>
          <p><sub>*</sub> = Pflichtfeld</p>
          {% for field in page.form_elements %}
              {% include 'field_types_account/'+field.type+'.ftl.j2' %}
          {% endfor %}  
          
      {% endfor %}

        <input type="hidden" id="stateChecker" name="stateChecker" value="${stateChecker}">


        <div class="form-group">
            <div class="col-sm-2 col-md-2">
                <label class="control-label">Profilbild</label>
            </div>

            <div class="col-sm-10 col-md-10">
                Ihr Profilbild für die Themenräume und das Ideenforum können sie <a href="https://dialog.netzwerk-universitaetsmedizin.de/profile">hier</a> aktualisieren.
            </div>
        </div>



        <div class="form-group">
            <div id="kc-form-buttons" class="col-md-offset-2 col-md-10 submit">
                <div class="">
                    <#if url.referrerURI??><a href="${url.referrerURI}">${kcSanitize(msg("backToApplication")?no_esc)}</a></#if>
                    <button type="submit" class="btn-rps-primary ${properties.kcButtonClass!} ${properties.kcButtonPrimaryClass!} ${properties.kcButtonLargeClass!}" name="submitAction" value="Save">${msg("doSave")}</button>
                    <button type="submit" class="btn-rps-secondary ${properties.kcButtonClass!} ${properties.kcButtonDefaultClass!} ${properties.kcButtonLargeClass!}" name="submitAction" value="Cancel">${msg("doCancel")}</button>
                </div>
            </div>
        </div>
    </form>

</@layout.mainLayout>
